package pro.userx.flutter_userx;

import java.util.HashMap;

import io.flutter.plugin.common.MethodCall;
import io.flutter.plugin.common.MethodChannel;
import io.flutter.plugin.common.MethodChannel.MethodCallHandler;
import io.flutter.plugin.common.MethodChannel.Result;
import io.flutter.plugin.common.PluginRegistry.Registrar;
import pro.userx.UserX;

/**
 * FlutterUserxPlugin
 */
public class FlutterUserxPlugin implements MethodCallHandler {
    /**
     * Plugin registration.
     */
    public static void registerWith(Registrar registrar) {
        final MethodChannel channel = new MethodChannel(registrar.messenger(), "flutter_userx");
        channel.setMethodCallHandler(new FlutterUserxPlugin());
    }

    @Override
    public void onMethodCall(MethodCall call, Result result) {
        if (call.method.equals("getPlatformVersion")) {
            result.success("Android " + android.os.Build.VERSION.RELEASE);
        } else if (call.method.equals("start")) {
            String key = call.argument("key");
            UserX.init(key);
        } else if (call.method.equals("setUserId")) {
            String userId = call.argument("userId");
            UserX.setUserId(userId);
        } else if (call.method.equals("addEvent")) {
            String name = call.argument("name");
            HashMap<String, String> attributes = call.argument("attributes");
            if (attributes == null) {
                UserX.addEvent(name);
            } else {
                UserX.addEvent(name, attributes);
            }
        } else if (call.method.equals("stopScreenRecording")) {
            UserX.stopScreenRecording();
        } else if (call.method.equals("startScreenRecording")) {
            UserX.startScreenRecording();
        } else if (call.method.equals("setRenderingInBackground")) {
            boolean renderingInBackground = call.argument("renderingInBackground");
            UserX.setRenderingInBackground(renderingInBackground);
        } else {
            result.notImplemented();
        }
    }
}
