import 'dart:async';

import 'package:flutter/services.dart';

class UserX {
  static const MethodChannel _channel = const MethodChannel('flutter_userx');

  static Future<String> get platformVersion async {
    final String version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static void start(String key) async {
    await _channel.invokeMethod('start', {"key": key});
  }

  static void setUserId(String userId) async {
    await _channel.invokeMethod('setUserId', {"userId": userId});
  }

  /*static void addEvent(String name) async{
    await _channel. invokeMethod('addEvent',{"name":name});
  }*/

  static void addEvent(String name, Map<String, String> attributes) async {
    await _channel
        .invokeMethod('addEvent', {"name": name, "attributes": attributes});
  }

  static Future<void> stopScreenRecording() async {
    await _channel.invokeMethod('stopScreenRecording');
  }

  static Future<void> startScreenRecording() async {
    await _channel.invokeMethod('startScreenRecording');
  }

  static Future<void> setRenderingInBackground(
      bool renderingInBackground) async {
    await _channel.invokeMethod('setRenderingInBackground',
        {"renderingInBackground": renderingInBackground});
  }
}
